diff --git a/security/libkleo/pkg-plist b/security/libkleo/pkg-plist
index 3fd72306fb6e..7bdc78dbe651 100644
--- a/security/libkleo/pkg-plist
+++ b/security/libkleo/pkg-plist
@@ -1,233 +1,243 @@
 etc/xdg/libkleopatrarc
-include/KPim5/Libkleo/Libkleo/Algorithm
-include/KPim5/Libkleo/Libkleo/Assuan
-include/KPim5/Libkleo/Libkleo/AuditLogEntry
-include/KPim5/Libkleo/Libkleo/AuditLogViewer
-include/KPim5/Libkleo/Libkleo/ChecksumDefinition
-include/KPim5/Libkleo/Libkleo/Chrono
-include/KPim5/Libkleo/Libkleo/Classify
-include/KPim5/Libkleo/Libkleo/Compat
-include/KPim5/Libkleo/Libkleo/Compliance
-include/KPim5/Libkleo/Libkleo/CryptoConfig
-include/KPim5/Libkleo/Libkleo/CryptoConfigModule
-include/KPim5/Libkleo/Libkleo/DNAttributeOrderConfigWidget
-include/KPim5/Libkleo/Libkleo/Debug
-include/KPim5/Libkleo/Libkleo/DefaultKeyFilter
-include/KPim5/Libkleo/Libkleo/DefaultKeyGenerationJob
-include/KPim5/Libkleo/Libkleo/DirectoryServicesWidget
-include/KPim5/Libkleo/Libkleo/Dn
-include/KPim5/Libkleo/Libkleo/DocAction
-include/KPim5/Libkleo/Libkleo/EditDirectoryServiceDialog
-include/KPim5/Libkleo/Libkleo/Enum
-include/KPim5/Libkleo/Libkleo/ExpiryChecker
-include/KPim5/Libkleo/Libkleo/ExpiryCheckerConfig
-include/KPim5/Libkleo/Libkleo/ExpiryCheckerSettings
-include/KPim5/Libkleo/Libkleo/FileNameRequester
-include/KPim5/Libkleo/Libkleo/FileSystemWatcher
-include/KPim5/Libkleo/Libkleo/Formatting
-include/KPim5/Libkleo/Libkleo/GnuPG
-include/KPim5/Libkleo/Libkleo/Hex
-include/KPim5/Libkleo/Libkleo/KConfigBasedKeyFilter
-include/KPim5/Libkleo/Libkleo/KeyApprovalDialog
-include/KPim5/Libkleo/Libkleo/KeyCache
-include/KPim5/Libkleo/Libkleo/KeyFilter
-include/KPim5/Libkleo/Libkleo/KeyFilterManager
-include/KPim5/Libkleo/Libkleo/KeyGroup
-include/KPim5/Libkleo/Libkleo/KeyGroupConfig
-include/KPim5/Libkleo/Libkleo/KeyGroupImportExport
-include/KPim5/Libkleo/Libkleo/KeyHelpers
-include/KPim5/Libkleo/Libkleo/KeyList
-include/KPim5/Libkleo/Libkleo/KeyListModel
-include/KPim5/Libkleo/Libkleo/KeyListModelInterface
-include/KPim5/Libkleo/Libkleo/KeyListSortFilterProxyModel
-include/KPim5/Libkleo/Libkleo/KeyListView
-include/KPim5/Libkleo/Libkleo/KeyRearrangeColumnsProxyModel
-include/KPim5/Libkleo/Libkleo/KeyRequester
-include/KPim5/Libkleo/Libkleo/KeyResolver
-include/KPim5/Libkleo/Libkleo/KeyResolverCore
-include/KPim5/Libkleo/Libkleo/KeySelectionCombo
-include/KPim5/Libkleo/Libkleo/KeySelectionDialog
-include/KPim5/Libkleo/Libkleo/KeyserverConfig
-include/KPim5/Libkleo/Libkleo/KleoException
-include/KPim5/Libkleo/Libkleo/MessageBox
-include/KPim5/Libkleo/Libkleo/NavigatableTreeView
-include/KPim5/Libkleo/Libkleo/NavigatableTreeWidget
-include/KPim5/Libkleo/Libkleo/NewKeyApprovalDialog
-include/KPim5/Libkleo/Libkleo/OidMap
-include/KPim5/Libkleo/Libkleo/Predicates
-include/KPim5/Libkleo/Libkleo/ProgressDialog
-include/KPim5/Libkleo/Libkleo/QtStlHelpers
-include/KPim5/Libkleo/Libkleo/ReaderPortSelection
-include/KPim5/Libkleo/Libkleo/SCDaemon
-include/KPim5/Libkleo/Libkleo/Stl_Util
-include/KPim5/Libkleo/Libkleo/StringUtils
-include/KPim5/Libkleo/Libkleo/SubkeyListModel
-include/KPim5/Libkleo/Libkleo/SystemInfo
-include/KPim5/Libkleo/Libkleo/Test
-include/KPim5/Libkleo/Libkleo/UniqueLock
-include/KPim5/Libkleo/Libkleo/UserIDListModel
-include/KPim5/Libkleo/libkleo/algorithm.h
-include/KPim5/Libkleo/libkleo/assuan.h
-include/KPim5/Libkleo/libkleo/auditlogentry.h
-include/KPim5/Libkleo/libkleo/auditlogviewer.h
-include/KPim5/Libkleo/libkleo/checksumdefinition.h
-include/KPim5/Libkleo/libkleo/chrono.h
-include/KPim5/Libkleo/libkleo/classify.h
-include/KPim5/Libkleo/libkleo/compat.h
-include/KPim5/Libkleo/libkleo/compliance.h
-include/KPim5/Libkleo/libkleo/cryptoconfig.h
-include/KPim5/Libkleo/libkleo/cryptoconfigmodule.h
-include/KPim5/Libkleo/libkleo/debug.h
-include/KPim5/Libkleo/libkleo/defaultkeyfilter.h
-include/KPim5/Libkleo/libkleo/defaultkeygenerationjob.h
-include/KPim5/Libkleo/libkleo/directoryserviceswidget.h
-include/KPim5/Libkleo/libkleo/dn.h
-include/KPim5/Libkleo/libkleo/dnattributeorderconfigwidget.h
-include/KPim5/Libkleo/libkleo/docaction.h
-include/KPim5/Libkleo/libkleo/editdirectoryservicedialog.h
-include/KPim5/Libkleo/libkleo/enum.h
-include/KPim5/Libkleo/libkleo/expirychecker.h
-include/KPim5/Libkleo/libkleo/expirycheckerconfig.h
-include/KPim5/Libkleo/libkleo/expirycheckerconfigbase.h
-include/KPim5/Libkleo/libkleo/expirycheckersettings.h
-include/KPim5/Libkleo/libkleo/filenamerequester.h
-include/KPim5/Libkleo/libkleo/filesystemwatcher.h
-include/KPim5/Libkleo/libkleo/formatting.h
-include/KPim5/Libkleo/libkleo/gnupg.h
-include/KPim5/Libkleo/libkleo/hex.h
-include/KPim5/Libkleo/libkleo/kconfigbasedkeyfilter.h
-include/KPim5/Libkleo/libkleo/keyapprovaldialog.h
-include/KPim5/Libkleo/libkleo/keycache.h
-include/KPim5/Libkleo/libkleo/keyfilter.h
-include/KPim5/Libkleo/libkleo/keyfiltermanager.h
-include/KPim5/Libkleo/libkleo/keygroup.h
-include/KPim5/Libkleo/libkleo/keygroupconfig.h
-include/KPim5/Libkleo/libkleo/keygroupimportexport.h
-include/KPim5/Libkleo/libkleo/keyhelpers.h
-include/KPim5/Libkleo/libkleo/keylist.h
-include/KPim5/Libkleo/libkleo/keylistmodel.h
-include/KPim5/Libkleo/libkleo/keylistmodelinterface.h
-include/KPim5/Libkleo/libkleo/keylistsortfilterproxymodel.h
-include/KPim5/Libkleo/libkleo/keylistview.h
-include/KPim5/Libkleo/libkleo/keyrearrangecolumnsproxymodel.h
-include/KPim5/Libkleo/libkleo/keyrequester.h
-include/KPim5/Libkleo/libkleo/keyresolver.h
-include/KPim5/Libkleo/libkleo/keyresolvercore.h
-include/KPim5/Libkleo/libkleo/keyselectioncombo.h
-include/KPim5/Libkleo/libkleo/keyselectiondialog.h
-include/KPim5/Libkleo/libkleo/keyserverconfig.h
-include/KPim5/Libkleo/libkleo/kleo_export.h
-include/KPim5/Libkleo/libkleo/kleoexception.h
-include/KPim5/Libkleo/libkleo/messagebox.h
-include/KPim5/Libkleo/libkleo/navigatabletreeview.h
-include/KPim5/Libkleo/libkleo/navigatabletreewidget.h
-include/KPim5/Libkleo/libkleo/newkeyapprovaldialog.h
-include/KPim5/Libkleo/libkleo/oidmap.h
-include/KPim5/Libkleo/libkleo/predicates.h
-include/KPim5/Libkleo/libkleo/progressdialog.h
-include/KPim5/Libkleo/libkleo/qtstlhelpers.h
-include/KPim5/Libkleo/libkleo/readerportselection.h
-include/KPim5/Libkleo/libkleo/scdaemon.h
-include/KPim5/Libkleo/libkleo/stl_util.h
-include/KPim5/Libkleo/libkleo/stringutils.h
-include/KPim5/Libkleo/libkleo/subkeylistmodel.h
-include/KPim5/Libkleo/libkleo/systeminfo.h
-include/KPim5/Libkleo/libkleo/test.h
-include/KPim5/Libkleo/libkleo/uniquelock.h
-include/KPim5/Libkleo/libkleo/useridlistmodel.h
-include/KPim5/Libkleo/libkleo_version.h
-lib/cmake/KF5Libkleo/KF5LibkleoConfig.cmake
-lib/cmake/KF5Libkleo/KF5LibkleoConfigVersion.cmake
-lib/cmake/KF5Libkleo/KPim5LibkleoTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KF5Libkleo/KPim5LibkleoTargets.cmake
-lib/cmake/KPim5Libkleo/KPim5LibkleoConfig.cmake
-lib/cmake/KPim5Libkleo/KPim5LibkleoConfigVersion.cmake
-lib/cmake/KPim5Libkleo/KPim5LibkleoTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KPim5Libkleo/KPim5LibkleoTargets.cmake
-lib/libKPim5Libkleo.so
-lib/libKPim5Libkleo.so.5
-lib/libKPim5Libkleo.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-%%QT_MKSPECDIR%%/modules/qt_Libkleo.pri
-%%DATADIR%%patra/pics/chiasmus_chi.png
-%%DATADIR%%patra/pics/hi16-app-gpg.png
-%%DATADIR%%patra/pics/hi16-app-gpgsm.png
-%%DATADIR%%patra/pics/hi22-app-gpg.png
-%%DATADIR%%patra/pics/hi22-app-gpgsm.png
-%%DATADIR%%patra/pics/hi32-app-gpg.png
-%%DATADIR%%patra/pics/hi32-app-gpgsm.png
-%%DATADIR%%patra/pics/key.png
-%%DATADIR%%patra/pics/key_bad.png
-%%DATADIR%%patra/pics/key_ok.png
-%%DATADIR%%patra/pics/key_unknown.png
+include/KPim6/Libkleo/Libkleo/AdjustingScrollArea
+include/KPim6/Libkleo/Libkleo/Algorithm
+include/KPim6/Libkleo/Libkleo/Assuan
+include/KPim6/Libkleo/Libkleo/AuditLogEntry
+include/KPim6/Libkleo/Libkleo/AuditLogViewer
+include/KPim6/Libkleo/Libkleo/ChecksumDefinition
+include/KPim6/Libkleo/Libkleo/Chrono
+include/KPim6/Libkleo/Libkleo/Classify
+include/KPim6/Libkleo/Libkleo/Compat
+include/KPim6/Libkleo/Libkleo/Compliance
+include/KPim6/Libkleo/Libkleo/CryptoConfig
+include/KPim6/Libkleo/Libkleo/CryptoConfigModule
+include/KPim6/Libkleo/Libkleo/DNAttributeOrderConfigWidget
+include/KPim6/Libkleo/Libkleo/Debug
+include/KPim6/Libkleo/Libkleo/DefaultKeyFilter
+include/KPim6/Libkleo/Libkleo/DefaultKeyGenerationJob
+include/KPim6/Libkleo/Libkleo/DirectoryServicesWidget
+include/KPim6/Libkleo/Libkleo/Dn
+include/KPim6/Libkleo/Libkleo/DocAction
+include/KPim6/Libkleo/Libkleo/EditDirectoryServiceDialog
+include/KPim6/Libkleo/Libkleo/Enum
+include/KPim6/Libkleo/Libkleo/ErrorLabel
+include/KPim6/Libkleo/Libkleo/Expiration
+include/KPim6/Libkleo/Libkleo/ExpiryChecker
+include/KPim6/Libkleo/Libkleo/ExpiryCheckerConfig
+include/KPim6/Libkleo/Libkleo/ExpiryCheckerSettings
+include/KPim6/Libkleo/Libkleo/FileNameRequester
+include/KPim6/Libkleo/Libkleo/FileSystemWatcher
+include/KPim6/Libkleo/Libkleo/Formatting
+include/KPim6/Libkleo/Libkleo/GnuPG
+include/KPim6/Libkleo/Libkleo/Hex
+include/KPim6/Libkleo/Libkleo/KConfigBasedKeyFilter
+include/KPim6/Libkleo/Libkleo/KeyApprovalDialog
+include/KPim6/Libkleo/Libkleo/KeyCache
+include/KPim6/Libkleo/Libkleo/KeyFilter
+include/KPim6/Libkleo/Libkleo/KeyFilterManager
+include/KPim6/Libkleo/Libkleo/KeyGroup
+include/KPim6/Libkleo/Libkleo/KeyGroupConfig
+include/KPim6/Libkleo/Libkleo/KeyGroupImportExport
+include/KPim6/Libkleo/Libkleo/KeyHelpers
+include/KPim6/Libkleo/Libkleo/KeyList
+include/KPim6/Libkleo/Libkleo/KeyListModel
+include/KPim6/Libkleo/Libkleo/KeyListModelInterface
+include/KPim6/Libkleo/Libkleo/KeyListSortFilterProxyModel
+include/KPim6/Libkleo/Libkleo/KeyListView
+include/KPim6/Libkleo/Libkleo/KeyParameters
+include/KPim6/Libkleo/Libkleo/KeyRearrangeColumnsProxyModel
+include/KPim6/Libkleo/Libkleo/KeyRequester
+include/KPim6/Libkleo/Libkleo/KeyResolver
+include/KPim6/Libkleo/Libkleo/KeyResolverCore
+include/KPim6/Libkleo/Libkleo/KeySelectionCombo
+include/KPim6/Libkleo/Libkleo/KeySelectionDialog
+include/KPim6/Libkleo/Libkleo/KeyUsage
+include/KPim6/Libkleo/Libkleo/KeyserverConfig
+include/KPim6/Libkleo/Libkleo/KleoException
+include/KPim6/Libkleo/Libkleo/MessageBox
+include/KPim6/Libkleo/Libkleo/NameAndEmailWidget
+include/KPim6/Libkleo/Libkleo/NewKeyApprovalDialog
+include/KPim6/Libkleo/Libkleo/OidMap
+include/KPim6/Libkleo/Libkleo/OpenPGPCertificateCreationDialog
+include/KPim6/Libkleo/Libkleo/Predicates
+include/KPim6/Libkleo/Libkleo/ProgressDialog
+include/KPim6/Libkleo/Libkleo/QtStlHelpers
+include/KPim6/Libkleo/Libkleo/ReaderPortSelection
+include/KPim6/Libkleo/Libkleo/SCDaemon
+include/KPim6/Libkleo/Libkleo/Stl_Util
+include/KPim6/Libkleo/Libkleo/StringUtils
+include/KPim6/Libkleo/Libkleo/SubkeyListModel
+include/KPim6/Libkleo/Libkleo/SystemInfo
+include/KPim6/Libkleo/Libkleo/Test
+include/KPim6/Libkleo/Libkleo/TreeView
+include/KPim6/Libkleo/Libkleo/TreeWidget
+include/KPim6/Libkleo/Libkleo/UniqueLock
+include/KPim6/Libkleo/Libkleo/UserIDListModel
+include/KPim6/Libkleo/Libkleo/UserIDListProxyModel
+include/KPim6/Libkleo/Libkleo/UserIDProxyModel
+include/KPim6/Libkleo/Libkleo/UserIDSelectionCombo
+include/KPim6/Libkleo/Libkleo/Validation
+include/KPim6/Libkleo/libkleo/adjustingscrollarea.h
+include/KPim6/Libkleo/libkleo/algorithm.h
+include/KPim6/Libkleo/libkleo/assuan.h
+include/KPim6/Libkleo/libkleo/auditlogentry.h
+include/KPim6/Libkleo/libkleo/auditlogviewer.h
+include/KPim6/Libkleo/libkleo/checksumdefinition.h
+include/KPim6/Libkleo/libkleo/chrono.h
+include/KPim6/Libkleo/libkleo/classify.h
+include/KPim6/Libkleo/libkleo/classifyconfig.h
+include/KPim6/Libkleo/libkleo/compat.h
+include/KPim6/Libkleo/libkleo/compliance.h
+include/KPim6/Libkleo/libkleo/cryptoconfig.h
+include/KPim6/Libkleo/libkleo/cryptoconfigmodule.h
+include/KPim6/Libkleo/libkleo/debug.h
+include/KPim6/Libkleo/libkleo/defaultkeyfilter.h
+include/KPim6/Libkleo/libkleo/defaultkeygenerationjob.h
+include/KPim6/Libkleo/libkleo/directoryserviceswidget.h
+include/KPim6/Libkleo/libkleo/dn.h
+include/KPim6/Libkleo/libkleo/dnattributeorderconfigwidget.h
+include/KPim6/Libkleo/libkleo/docaction.h
+include/KPim6/Libkleo/libkleo/editdirectoryservicedialog.h
+include/KPim6/Libkleo/libkleo/enum.h
+include/KPim6/Libkleo/libkleo/errorlabel.h
+include/KPim6/Libkleo/libkleo/expiration.h
+include/KPim6/Libkleo/libkleo/expirychecker.h
+include/KPim6/Libkleo/libkleo/expirycheckerconfig.h
+include/KPim6/Libkleo/libkleo/expirycheckerconfigbase.h
+include/KPim6/Libkleo/libkleo/expirycheckersettings.h
+include/KPim6/Libkleo/libkleo/filenamerequester.h
+include/KPim6/Libkleo/libkleo/filesystemwatcher.h
+include/KPim6/Libkleo/libkleo/formatting.h
+include/KPim6/Libkleo/libkleo/gnupg.h
+include/KPim6/Libkleo/libkleo/hex.h
+include/KPim6/Libkleo/libkleo/kconfigbasedkeyfilter.h
+include/KPim6/Libkleo/libkleo/keyapprovaldialog.h
+include/KPim6/Libkleo/libkleo/keycache.h
+include/KPim6/Libkleo/libkleo/keyfilter.h
+include/KPim6/Libkleo/libkleo/keyfiltermanager.h
+include/KPim6/Libkleo/libkleo/keygroup.h
+include/KPim6/Libkleo/libkleo/keygroupconfig.h
+include/KPim6/Libkleo/libkleo/keygroupimportexport.h
+include/KPim6/Libkleo/libkleo/keyhelpers.h
+include/KPim6/Libkleo/libkleo/keylist.h
+include/KPim6/Libkleo/libkleo/keylistmodel.h
+include/KPim6/Libkleo/libkleo/keylistmodelinterface.h
+include/KPim6/Libkleo/libkleo/keylistsortfilterproxymodel.h
+include/KPim6/Libkleo/libkleo/keylistview.h
+include/KPim6/Libkleo/libkleo/keyparameters.h
+include/KPim6/Libkleo/libkleo/keyrearrangecolumnsproxymodel.h
+include/KPim6/Libkleo/libkleo/keyrequester.h
+include/KPim6/Libkleo/libkleo/keyresolver.h
+include/KPim6/Libkleo/libkleo/keyresolvercore.h
+include/KPim6/Libkleo/libkleo/keyselectioncombo.h
+include/KPim6/Libkleo/libkleo/keyselectiondialog.h
+include/KPim6/Libkleo/libkleo/keyserverconfig.h
+include/KPim6/Libkleo/libkleo/keyusage.h
+include/KPim6/Libkleo/libkleo/kleo_export.h
+include/KPim6/Libkleo/libkleo/kleoexception.h
+include/KPim6/Libkleo/libkleo/messagebox.h
+include/KPim6/Libkleo/libkleo/nameandemailwidget.h
+include/KPim6/Libkleo/libkleo/newkeyapprovaldialog.h
+include/KPim6/Libkleo/libkleo/oidmap.h
+include/KPim6/Libkleo/libkleo/openpgpcertificatecreationdialog.h
+include/KPim6/Libkleo/libkleo/predicates.h
+include/KPim6/Libkleo/libkleo/progressdialog.h
+include/KPim6/Libkleo/libkleo/qtstlhelpers.h
+include/KPim6/Libkleo/libkleo/readerportselection.h
+include/KPim6/Libkleo/libkleo/scdaemon.h
+include/KPim6/Libkleo/libkleo/stl_util.h
+include/KPim6/Libkleo/libkleo/stringutils.h
+include/KPim6/Libkleo/libkleo/subkeylistmodel.h
+include/KPim6/Libkleo/libkleo/systeminfo.h
+include/KPim6/Libkleo/libkleo/test.h
+include/KPim6/Libkleo/libkleo/treeview.h
+include/KPim6/Libkleo/libkleo/treewidget.h
+include/KPim6/Libkleo/libkleo/uniquelock.h
+include/KPim6/Libkleo/libkleo/useridlistmodel.h
+include/KPim6/Libkleo/libkleo/useridlistproxymodel.h
+include/KPim6/Libkleo/libkleo/useridproxymodel.h
+include/KPim6/Libkleo/libkleo/useridselectioncombo.h
+include/KPim6/Libkleo/libkleo/validation.h
+include/KPim6/Libkleo/libkleo_version.h
+lib/cmake/KPim6Libkleo/KPim6LibkleoConfig.cmake
+lib/cmake/KPim6Libkleo/KPim6LibkleoConfigVersion.cmake
+lib/cmake/KPim6Libkleo/KPim6LibkleoTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KPim6Libkleo/KPim6LibkleoTargets.cmake
+lib/libKPim6Libkleo.so
+lib/libKPim6Libkleo.so.6
+lib/libKPim6Libkleo.so.%%KDE_APPLICATIONS_SHLIB_VER%%
+share/KPim6Libkleo/find-modules/FindLibAssuan.cmake
+share/KPim6Libkleo/find-modules/FindLibGpgError.cmake
 %%DATADIR%%patra/pics/smartcard.xpm
-share/locale/ar/LC_MESSAGES/libkleopatra.mo
-share/locale/be/LC_MESSAGES/libkleopatra.mo
-share/locale/bg/LC_MESSAGES/libkleopatra.mo
-share/locale/br/LC_MESSAGES/libkleopatra.mo
-share/locale/bs/LC_MESSAGES/libkleopatra.mo
-share/locale/ca/LC_MESSAGES/libkleopatra.mo
-share/locale/ca@valencia/LC_MESSAGES/libkleopatra.mo
-share/locale/cs/LC_MESSAGES/libkleopatra.mo
-share/locale/cy/LC_MESSAGES/libkleopatra.mo
-share/locale/da/LC_MESSAGES/libkleopatra.mo
-share/locale/de/LC_MESSAGES/libkleopatra.mo
-share/locale/el/LC_MESSAGES/libkleopatra.mo
-share/locale/en_GB/LC_MESSAGES/libkleopatra.mo
-share/locale/eo/LC_MESSAGES/libkleopatra.mo
-share/locale/es/LC_MESSAGES/libkleopatra.mo
-share/locale/et/LC_MESSAGES/libkleopatra.mo
-share/locale/eu/LC_MESSAGES/libkleopatra.mo
-share/locale/fa/LC_MESSAGES/libkleopatra.mo
-share/locale/fi/LC_MESSAGES/libkleopatra.mo
-share/locale/fr/LC_MESSAGES/libkleopatra.mo
-share/locale/fy/LC_MESSAGES/libkleopatra.mo
-share/locale/ga/LC_MESSAGES/libkleopatra.mo
-share/locale/gl/LC_MESSAGES/libkleopatra.mo
-share/locale/hi/LC_MESSAGES/libkleopatra.mo
-share/locale/hne/LC_MESSAGES/libkleopatra.mo
-share/locale/hr/LC_MESSAGES/libkleopatra.mo
-share/locale/hu/LC_MESSAGES/libkleopatra.mo
-share/locale/ia/LC_MESSAGES/libkleopatra.mo
-share/locale/ie/LC_MESSAGES/libkleopatra.mo
-share/locale/is/LC_MESSAGES/libkleopatra.mo
-share/locale/it/LC_MESSAGES/libkleopatra.mo
-share/locale/ja/LC_MESSAGES/libkleopatra.mo
-share/locale/ka/LC_MESSAGES/libkleopatra.mo
-share/locale/kk/LC_MESSAGES/libkleopatra.mo
-share/locale/km/LC_MESSAGES/libkleopatra.mo
-share/locale/ko/LC_MESSAGES/libkleopatra.mo
-share/locale/lt/LC_MESSAGES/libkleopatra.mo
-share/locale/lv/LC_MESSAGES/libkleopatra.mo
-share/locale/mai/LC_MESSAGES/libkleopatra.mo
-share/locale/mk/LC_MESSAGES/libkleopatra.mo
-share/locale/mr/LC_MESSAGES/libkleopatra.mo
-share/locale/ms/LC_MESSAGES/libkleopatra.mo
-share/locale/nb/LC_MESSAGES/libkleopatra.mo
-share/locale/nds/LC_MESSAGES/libkleopatra.mo
-share/locale/ne/LC_MESSAGES/libkleopatra.mo
-share/locale/nl/LC_MESSAGES/libkleopatra.mo
-share/locale/nn/LC_MESSAGES/libkleopatra.mo
-share/locale/pa/LC_MESSAGES/libkleopatra.mo
-share/locale/pl/LC_MESSAGES/libkleopatra.mo
-share/locale/pt/LC_MESSAGES/libkleopatra.mo
-share/locale/pt_BR/LC_MESSAGES/libkleopatra.mo
-share/locale/ro/LC_MESSAGES/libkleopatra.mo
-share/locale/ru/LC_MESSAGES/libkleopatra.mo
-share/locale/se/LC_MESSAGES/libkleopatra.mo
-share/locale/sk/LC_MESSAGES/libkleopatra.mo
-share/locale/sl/LC_MESSAGES/libkleopatra.mo
-share/locale/sq/LC_MESSAGES/libkleopatra.mo
-share/locale/sr/LC_MESSAGES/libkleopatra.mo
-share/locale/sr@ijekavian/LC_MESSAGES/libkleopatra.mo
-share/locale/sr@ijekavianlatin/LC_MESSAGES/libkleopatra.mo
-share/locale/sr@latin/LC_MESSAGES/libkleopatra.mo
-share/locale/sv/LC_MESSAGES/libkleopatra.mo
-share/locale/ta/LC_MESSAGES/libkleopatra.mo
-share/locale/tg/LC_MESSAGES/libkleopatra.mo
-share/locale/tr/LC_MESSAGES/libkleopatra.mo
-share/locale/ug/LC_MESSAGES/libkleopatra.mo
-share/locale/uk/LC_MESSAGES/libkleopatra.mo
-share/locale/zh_CN/LC_MESSAGES/libkleopatra.mo
-share/locale/zh_TW/LC_MESSAGES/libkleopatra.mo
-share/qlogging-categories5/libkleo.categories
-share/qlogging-categories5/libkleo.renamecategories
+share/locale/ar/LC_MESSAGES/libkleopatra6.mo
+share/locale/ast/LC_MESSAGES/libkleopatra6.mo
+share/locale/be/LC_MESSAGES/libkleopatra6.mo
+share/locale/bg/LC_MESSAGES/libkleopatra6.mo
+share/locale/br/LC_MESSAGES/libkleopatra6.mo
+share/locale/bs/LC_MESSAGES/libkleopatra6.mo
+share/locale/ca/LC_MESSAGES/libkleopatra6.mo
+share/locale/ca@valencia/LC_MESSAGES/libkleopatra6.mo
+share/locale/cs/LC_MESSAGES/libkleopatra6.mo
+share/locale/cy/LC_MESSAGES/libkleopatra6.mo
+share/locale/da/LC_MESSAGES/libkleopatra6.mo
+share/locale/de/LC_MESSAGES/libkleopatra6.mo
+share/locale/el/LC_MESSAGES/libkleopatra6.mo
+share/locale/en_GB/LC_MESSAGES/libkleopatra6.mo
+share/locale/eo/LC_MESSAGES/libkleopatra6.mo
+share/locale/es/LC_MESSAGES/libkleopatra6.mo
+share/locale/et/LC_MESSAGES/libkleopatra6.mo
+share/locale/eu/LC_MESSAGES/libkleopatra6.mo
+share/locale/fa/LC_MESSAGES/libkleopatra6.mo
+share/locale/fi/LC_MESSAGES/libkleopatra6.mo
+share/locale/fr/LC_MESSAGES/libkleopatra6.mo
+share/locale/fy/LC_MESSAGES/libkleopatra6.mo
+share/locale/ga/LC_MESSAGES/libkleopatra6.mo
+share/locale/gl/LC_MESSAGES/libkleopatra6.mo
+share/locale/hi/LC_MESSAGES/libkleopatra6.mo
+share/locale/hne/LC_MESSAGES/libkleopatra6.mo
+share/locale/hr/LC_MESSAGES/libkleopatra6.mo
+share/locale/hu/LC_MESSAGES/libkleopatra6.mo
+share/locale/ia/LC_MESSAGES/libkleopatra6.mo
+share/locale/ie/LC_MESSAGES/libkleopatra6.mo
+share/locale/is/LC_MESSAGES/libkleopatra6.mo
+share/locale/it/LC_MESSAGES/libkleopatra6.mo
+share/locale/ja/LC_MESSAGES/libkleopatra6.mo
+share/locale/ka/LC_MESSAGES/libkleopatra6.mo
+share/locale/kk/LC_MESSAGES/libkleopatra6.mo
+share/locale/km/LC_MESSAGES/libkleopatra6.mo
+share/locale/ko/LC_MESSAGES/libkleopatra6.mo
+share/locale/lt/LC_MESSAGES/libkleopatra6.mo
+share/locale/lv/LC_MESSAGES/libkleopatra6.mo
+share/locale/mai/LC_MESSAGES/libkleopatra6.mo
+share/locale/mk/LC_MESSAGES/libkleopatra6.mo
+share/locale/mr/LC_MESSAGES/libkleopatra6.mo
+share/locale/ms/LC_MESSAGES/libkleopatra6.mo
+share/locale/nb/LC_MESSAGES/libkleopatra6.mo
+share/locale/nds/LC_MESSAGES/libkleopatra6.mo
+share/locale/ne/LC_MESSAGES/libkleopatra6.mo
+share/locale/nl/LC_MESSAGES/libkleopatra6.mo
+share/locale/nn/LC_MESSAGES/libkleopatra6.mo
+share/locale/pa/LC_MESSAGES/libkleopatra6.mo
+share/locale/pl/LC_MESSAGES/libkleopatra6.mo
+share/locale/pt/LC_MESSAGES/libkleopatra6.mo
+share/locale/pt_BR/LC_MESSAGES/libkleopatra6.mo
+share/locale/ro/LC_MESSAGES/libkleopatra6.mo
+share/locale/ru/LC_MESSAGES/libkleopatra6.mo
+share/locale/se/LC_MESSAGES/libkleopatra6.mo
+share/locale/sk/LC_MESSAGES/libkleopatra6.mo
+share/locale/sl/LC_MESSAGES/libkleopatra6.mo
+share/locale/sq/LC_MESSAGES/libkleopatra6.mo
+share/locale/sr/LC_MESSAGES/libkleopatra6.mo
+share/locale/sr@ijekavian/LC_MESSAGES/libkleopatra6.mo
+share/locale/sr@ijekavianlatin/LC_MESSAGES/libkleopatra6.mo
+share/locale/sr@latin/LC_MESSAGES/libkleopatra6.mo
+share/locale/sv/LC_MESSAGES/libkleopatra6.mo
+share/locale/ta/LC_MESSAGES/libkleopatra6.mo
+share/locale/tg/LC_MESSAGES/libkleopatra6.mo
+share/locale/tr/LC_MESSAGES/libkleopatra6.mo
+share/locale/ug/LC_MESSAGES/libkleopatra6.mo
+share/locale/uk/LC_MESSAGES/libkleopatra6.mo
+share/locale/zh_CN/LC_MESSAGES/libkleopatra6.mo
+share/locale/zh_TW/LC_MESSAGES/libkleopatra6.mo
+share/qlogging-categories6/libkleo.categories
+share/qlogging-categories6/libkleo.renamecategories
diff --git a/sysutils/Makefile b/sysutils/Makefile
index 922df0e836be..5891de27ca54 100644
--- a/sysutils/Makefile
+++ b/sysutils/Makefile
@@ -939,19 +939,7 @@
     SUBDIR += pies
     SUBDIR += pipemeter
     SUBDIR += plasma-pass
-    SUBDIR += plasma5-discover
-    SUBDIR += plasma5-drkonqi
-    SUBDIR += plasma5-kde-cli-tools
-    SUBDIR += plasma5-kinfocenter
-    SUBDIR += plasma5-kmenuedit
-    SUBDIR += plasma5-ksysguard
-    SUBDIR += plasma5-ksystemstats
     SUBDIR += plasma5-libksysguard
-    SUBDIR += plasma5-plasma-disks
-    SUBDIR += plasma5-plasma-systemmonitor
-    SUBDIR += plasma5-polkit-kde-agent-1
-    SUBDIR += plasma5-powerdevil
-    SUBDIR += plasma5-systemsettings
     SUBDIR += plasma6-discover
     SUBDIR += plasma6-drkonqi
     SUBDIR += plasma6-kde-cli-tools
diff --git a/sysutils/baloo-widgets/Makefile b/sysutils/baloo-widgets/Makefile
index 4afd18e28f2b..20b32e1907c1 100644
--- a/sysutils/baloo-widgets/Makefile
+++ b/sysutils/baloo-widgets/Makefile
@@ -6,13 +6,12 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	BalooWidgets library
 WWW=		https://projects.kde.org/projects/kde/kdelibs/baloo
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz xorg
-USE_KDE=	baloo completion config coreaddons emoticons filemetadata \
-		i18n init itemmodels jobwidgets kio service solid \
-		widgetsaddons windowsystem \
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz xorg
+USE_KDE=	baloo completion config coreaddons filemetadata i18n \
+		itemmodels jobwidgets kio service solid widgetsaddons \
+		windowsystem \
 		ecm:build
-USE_QT=		concurrent core dbus gui network testlib widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11
 USE_LDCONFIG=	yes
 
diff --git a/sysutils/baloo-widgets/distinfo b/sysutils/baloo-widgets/distinfo
index 487436410cb8..aac31af3909f 100644
--- a/sysutils/baloo-widgets/distinfo
+++ b/sysutils/baloo-widgets/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889352
-SHA256 (KDE/release-service/23.08.5/baloo-widgets-23.08.5.tar.xz) = 49196c7f74dfeb38b90ab388b35ee3542302ab89fc7b6ded4a3bfaa7f03938d4
-SIZE (KDE/release-service/23.08.5/baloo-widgets-23.08.5.tar.xz) = 276852
+TIMESTAMP = 1734460359
+SHA256 (KDE/release-service/24.12.0/baloo-widgets-24.12.0.tar.xz) = 98893290528c2d82d851c5c743e64a4b7d44a3805cd38a33b0c5e462e3eeb616
+SIZE (KDE/release-service/24.12.0/baloo-widgets-24.12.0.tar.xz) = 277992
diff --git a/sysutils/baloo-widgets/pkg-plist b/sysutils/baloo-widgets/pkg-plist
index 197a70a51f38..2a11161c4733 100644
--- a/sysutils/baloo-widgets/pkg-plist
+++ b/sysutils/baloo-widgets/pkg-plist
@@ -1,20 +1,20 @@
 bin/baloo_filemetadata_temp_extractor
-include/KF5/BalooWidgets/Baloo/FileMetaDataConfigWidget
-include/KF5/BalooWidgets/Baloo/FileMetaDataWidget
-include/KF5/BalooWidgets/Baloo/TagWidget
-include/KF5/BalooWidgets/baloo/filemetadataconfigwidget.h
-include/KF5/BalooWidgets/baloo/filemetadatawidget.h
-include/KF5/BalooWidgets/baloo/tagwidget.h
-include/KF5/BalooWidgets/baloo/widgets_export.h
-lib/cmake/KF5BalooWidgets/KF5BalooWidgetsConfig.cmake
-lib/cmake/KF5BalooWidgets/KF5BalooWidgetsConfigVersion.cmake
-lib/cmake/KF5BalooWidgets/KF5BalooWidgetsTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KF5BalooWidgets/KF5BalooWidgetsTargets.cmake
-lib/libKF5BalooWidgets.so
-lib/libKF5BalooWidgets.so.%%KDE_APPLICATIONS_VERSION%%
-lib/libKF5BalooWidgets.so.5
-%%QT_PLUGINDIR%%/kf5/kfileitemaction/tagsfileitemaction.so
-%%QT_PLUGINDIR%%/kf5/propertiesdialog/baloofilepropertiesplugin.so
+include/KF6/BalooWidgets/Baloo/FileMetaDataConfigWidget
+include/KF6/BalooWidgets/Baloo/FileMetaDataWidget
+include/KF6/BalooWidgets/Baloo/TagWidget
+include/KF6/BalooWidgets/baloo/filemetadataconfigwidget.h
+include/KF6/BalooWidgets/baloo/filemetadatawidget.h
+include/KF6/BalooWidgets/baloo/tagwidget.h
+include/KF6/BalooWidgets/baloo/widgets_export.h
+lib/cmake/KF6BalooWidgets/KF6BalooWidgetsConfig.cmake
+lib/cmake/KF6BalooWidgets/KF6BalooWidgetsConfigVersion.cmake
+lib/cmake/KF6BalooWidgets/KF6BalooWidgetsTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KF6BalooWidgets/KF6BalooWidgetsTargets.cmake
+lib/libKF6BalooWidgets.so
+lib/libKF6BalooWidgets.so.%%KDE_APPLICATIONS_VERSION%%
+lib/libKF6BalooWidgets.so.6
+%%QT_PLUGINDIR%%/kf6/kfileitemaction/tagsfileitemaction.so
+%%QT_PLUGINDIR%%/kf6/propertiesdialog/baloofilepropertiesplugin.so
 share/locale/ar/LC_MESSAGES/baloowidgets5.mo
 share/locale/az/LC_MESSAGES/baloowidgets5.mo
 share/locale/bg/LC_MESSAGES/baloowidgets5.mo
@@ -26,6 +26,7 @@ share/locale/da/LC_MESSAGES/baloowidgets5.mo
 share/locale/de/LC_MESSAGES/baloowidgets5.mo
 share/locale/el/LC_MESSAGES/baloowidgets5.mo
 share/locale/en_GB/LC_MESSAGES/baloowidgets5.mo
+share/locale/eo/LC_MESSAGES/baloowidgets5.mo
 share/locale/es/LC_MESSAGES/baloowidgets5.mo
 share/locale/et/LC_MESSAGES/baloowidgets5.mo
 share/locale/eu/LC_MESSAGES/baloowidgets5.mo
@@ -43,6 +44,7 @@ share/locale/ka/LC_MESSAGES/baloowidgets5.mo
 share/locale/kk/LC_MESSAGES/baloowidgets5.mo
 share/locale/ko/LC_MESSAGES/baloowidgets5.mo
 share/locale/lt/LC_MESSAGES/baloowidgets5.mo
+share/locale/lv/LC_MESSAGES/baloowidgets5.mo
 share/locale/ml/LC_MESSAGES/baloowidgets5.mo
 share/locale/mr/LC_MESSAGES/baloowidgets5.mo
 share/locale/nb/LC_MESSAGES/baloowidgets5.mo
@@ -68,4 +70,4 @@ share/locale/ug/LC_MESSAGES/baloowidgets5.mo
 share/locale/uk/LC_MESSAGES/baloowidgets5.mo
 share/locale/zh_CN/LC_MESSAGES/baloowidgets5.mo
 share/locale/zh_TW/LC_MESSAGES/baloowidgets5.mo
-share/qlogging-categories5/baloo-widgets.categories
+share/qlogging-categories6/baloo-widgets.categories
diff --git a/sysutils/filelight/Makefile b/sysutils/filelight/Makefile
index 8bb5ee322323..6994b8be1c5a 100644
--- a/sysutils/filelight/Makefile
+++ b/sysutils/filelight/Makefile
@@ -9,16 +9,14 @@ WWW=		https://utils.kde.org/projects/filelight/
 BUILD_DEPENDS=	${LOCALBASE}/share/xsl/docbook/html/docbook.xsl:textproc/docbook-xsl \
 		docbook-xml>0:textproc/docbook-xml
 
-USES=		cmake compiler:c++11-lang desktop-file-utils gettext kde:5 \
-		qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lang desktop-file-utils gettext kde:6 \
+		qt:6 tar:xz xorg
 USE_KDE=	auth codecs completion config configwidgets coreaddons i18n \
-		jobwidgets kio package parts service solid sonnet textwidgets \
-		widgetsaddons windowsystem xmlgui \
+		jobwidgets kio kirigami-addons package parts service solid \
+		sonnet textwidgets widgetsaddons windowsystem xmlgui \
 		doctools:build ecm:build \
 		kirigami2:run kquickcharts:run qqc2-desktop-style:run
-USE_QT=		concurrent core dbus declarative gui network quickcontrols2 \
-		script svg widgets xml \
-		buildtools:build qmake:build testlib:build
+USE_QT=		base
 USE_XORG=	x11
 
 OPTIONS_DEFINE=	DOCS
diff --git a/sysutils/filelight/distinfo b/sysutils/filelight/distinfo
index b5217d7fb7a0..f0129788b5ea 100644
--- a/sysutils/filelight/distinfo
+++ b/sysutils/filelight/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889353
-SHA256 (KDE/release-service/23.08.5/filelight-23.08.5.tar.xz) = b7fc4daefc0985dc4b0deeb3c25e09a1b85ff896560340e79cca5093d3f07522
-SIZE (KDE/release-service/23.08.5/filelight-23.08.5.tar.xz) = 700500
+TIMESTAMP = 1734460360
+SHA256 (KDE/release-service/24.12.0/filelight-24.12.0.tar.xz) = f8102f0d74f7dc3b6f17906993cbc63570f498c6f016a39a13503fdbe6d3b6b0
+SIZE (KDE/release-service/24.12.0/filelight-24.12.0.tar.xz) = 686512
diff --git a/sysutils/filelight/pkg-plist b/sysutils/filelight/pkg-plist
index 374d03328c20..cca0d3cc3e46 100644
--- a/sysutils/filelight/pkg-plist
+++ b/sysutils/filelight/pkg-plist
@@ -7,8 +7,8 @@ share/icons/hicolor/22x22/apps/filelight.png
 share/icons/hicolor/32x32/apps/filelight.png
 share/icons/hicolor/48x48/apps/filelight.png
 share/icons/hicolor/64x64/apps/filelight.png
-share/kxmlgui5/filelight/filelightui.rc
 share/locale/ar/LC_MESSAGES/filelight.mo
+share/locale/ast/LC_MESSAGES/filelight.mo
 share/locale/az/LC_MESSAGES/filelight.mo
 share/locale/bg/LC_MESSAGES/filelight.mo
 share/locale/bs/LC_MESSAGES/filelight.mo
@@ -27,6 +27,7 @@ share/locale/fi/LC_MESSAGES/filelight.mo
 share/locale/fr/LC_MESSAGES/filelight.mo
 share/locale/ga/LC_MESSAGES/filelight.mo
 share/locale/gl/LC_MESSAGES/filelight.mo
+share/locale/he/LC_MESSAGES/filelight.mo
 share/locale/hu/LC_MESSAGES/filelight.mo
 share/locale/ia/LC_MESSAGES/filelight.mo
 share/locale/id/LC_MESSAGES/filelight.mo
@@ -38,6 +39,7 @@ share/locale/ka/LC_MESSAGES/filelight.mo
 share/locale/kk/LC_MESSAGES/filelight.mo
 share/locale/ko/LC_MESSAGES/filelight.mo
 share/locale/lt/LC_MESSAGES/filelight.mo
+share/locale/lv/LC_MESSAGES/filelight.mo
 share/locale/mr/LC_MESSAGES/filelight.mo
 share/locale/nb/LC_MESSAGES/filelight.mo
 share/locale/nds/LC_MESSAGES/filelight.mo
@@ -63,4 +65,4 @@ share/locale/uk/LC_MESSAGES/filelight.mo
 share/locale/zh_CN/LC_MESSAGES/filelight.mo
 share/locale/zh_TW/LC_MESSAGES/filelight.mo
 share/metainfo/org.kde.filelight.appdata.xml
-share/qlogging-categories5/filelight.categories
+share/qlogging-categories6/filelight.categories
